package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class JenisPengantarPasien
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "JenisPengantarPasien_M")
public class JenisPengantarPasienVO extends BaseMasterVO {
	
	@Caption(value="Jenis Pengantar")
	private String jenisPengantar;

	public void setJenisPengantar(String jenisPengantar) {
		this.jenisPengantar = jenisPengantar;
	}

	@Column(name = "JenisPengantar", nullable = false , length = 30)
	public String getJenisPengantar(){
		return this.jenisPengantar;
	}

	@Caption(value="Kode Jenis Pengantar")
	private Byte kdJenisPengantar;

	public void setKdJenisPengantar(Byte kdJenisPengantar) {
		this.kdJenisPengantar = kdJenisPengantar;
	}

	@Column(name = "KdJenisPengantar", nullable = false )
	public Byte getKdJenisPengantar(){
		return this.kdJenisPengantar;
	}

	@Caption(value="QJenis Pengantar")
	private Byte qJenisPengantar;

	public void setqJenisPengantar(Byte qJenisPengantar) {
		this.qJenisPengantar = qJenisPengantar;
	}

	@Column(name = "QJenisPengantar", nullable = false )
	public Byte getqJenisPengantar(){
		return this.qJenisPengantar;
	}


}

